Package org.apache.synapse.commons.emulator.http

## Class HTTPProtocolEmulator

- java.lang.Object
- - org.apache.synapse.commons.emulator.core.AbstractProtocolEmulator
  - - org.apache.synapse.commons.emulator.http.HTTPProtocolEmulator

-     public class HTTPProtocolEmulator
      extends AbstractProtocolEmulator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTTPProtocolEmulator​(Emulator emulator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HttpConsumerContext` | `consumer()` |
    `HttpConsumerContext` | `getConsumerContext()` |
    `HttpEmulatorConsumerInitializer` | `getHttpEmulatorConsumerInitializer()` |
    `HttpEmulatorProducerInitializer` | `getHttpEmulatorProducerInitializer()` |
    `HttpProducerContext` | `getHttpProducerContext()` |
    `HttpProducerContext` | `producer()` |

    - ### Methods inherited from class org.apache.synapse.commons.emulator.core.AbstractProtocolEmulator

      `send, setEmulatorType, shutdown, start`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPProtocolEmulator

          public HTTPProtocolEmulator​(Emulator emulator)

  - ### Method Detail

    - #### consumer

          public HttpConsumerContext consumer()

      Specified by:
        `consumer` in class `AbstractProtocolEmulator`

    - #### producer

          public HttpProducerContext producer()

      Specified by:
        `producer` in class `AbstractProtocolEmulator`

    - #### getHttpEmulatorConsumerInitializer

          public HttpEmulatorConsumerInitializer getHttpEmulatorConsumerInitializer()

    - #### getHttpEmulatorProducerInitializer

          public HttpEmulatorProducerInitializer getHttpEmulatorProducerInitializer()

    - #### getConsumerContext

          public HttpConsumerContext getConsumerContext()

    - #### getHttpProducerContext

          public HttpProducerContext getHttpProducerContext()